Queue an asynchronous CSV export of redacted organization audit events. Restricted details cannot be requested through this endpoint.
Supabase browser session cookie. Supabase may split larger session values into chunked cookies like sb-auth-token.0.
In: cookie
uuidapplication/json
Audit filters covering at most 90 days. Missing dates default to the latest 30 days.
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/organizations/123/audit-exports" \ -H "Content-Type: application/json" \ -d '{ "filters": { "direction": "desc" } }'{ "completedAt": "2019-08-24T14:15:22Z", "downloadUrl": "http://example.com", "expiresAt": "2019-08-24T14:15:22Z", "failureReason": "string", "filters": { "actorIds": [ "79308fe6-17ad-4fce-ade3-8ec545b971f2" ], "actorKinds": [ "user" ], "categories": [ "authentication" ], "correlationId": "string", "direction": "asc", "eventTypes": [ "string" ], "from": null, "outcomes": [ "success" ], "search": "string", "sources": [ "saas" ], "targetId": "string", "targetType": "string", "to": null }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "requestedAt": "2019-08-24T14:15:22Z", "rowCount": 0, "status": "pending", "updatedAt": "2019-08-24T14:15:22Z"}Default
{ "direction": "desc"}